Subject: bug#25565: mark-whole-buffer and unnecessary (point) call

From: dptd dptd <[email-masked]>
Date: Fri, 24 Mar 2017 07:23:19 +0100

> On 29 Jan 2017, at 22:29, Stephen Berman <[email-masked]> wrote:
> 
> On Sun, 29 Jan 2017 22:46:02 +0200 dptd dptd <[email-masked]> wrote:
> 
>>>> Here is the newest patch.
> [...]
>>>> * lisp/emulation/viper-cmd.el (viper-mark-beginning-of-buffer):
>>>> (viper-mark-end-of-buffer):
>>> 
>>> There should be no colon `:' after `(viper-mark-beginning-of-buffer)',
>>> since `(viper-mark-end-of-buffer)' in the next line is in the same file.
>>> 
>>>> * lisp/cedet/semantic/senator.el (senator-mark-defun):
>>>> * lisp/allout.el (allout-mark-topic): Remove unnecessary argument
>>>> `(point)' from calls to `push-mark'.
>>> 
>>> Steve Berman
>> 
>> I want to contribute to the project but I cannot even prepare the
>> patch file correctly... dammit!
> 
> If that's the worst problem you have as a contributor, Emacs will be
> very lucky indeed! ;-)
> 
> Steve Berman

Hello again,
I think my paperwork with FSF is done now. What should I do not to make sure that patch from the previous messages will be applied by someone?

Best regards,
B.D.